* 株式会社ライトストーン
* Stata分析機能例題集　クラスター分析

**# 例1:

* データの読込み
use https://www.stata-press.com/data/r17/physed
summarize flex speed strength

* グラフ
graph matrix flex speed strength

* クラスター分析
cluster k flex speed strength, k(4) name(g4abs) s(kr(385617)) mea(abs) keepcen
cluster list g4abs

* 表
table g4abs

* データセットの81行目以降を表示
list flex speed strength in 81/L, abbrev(12)

* データセットの81行目以降を削除
drop in 81/L

* 表
tabstat flex speed strength, by(g4abs) stat(min mean max)

* グラフ
graph matrix flex speed strength, m(i) mlabel(g4abs) mlabpos(0)

* クラスター分析と表
cluster k flex speed strength, k(3) name(g3abs) start(firstk) measure(abs)
cluster k flex speed strength, k(5) name(g5abs) start(random(33576)) measure(abs)
table g3abs g4abs, totals(g3abs)
table g5abs g4abs, totals(g5abs)


**# 例2:

* データの読込みとデータの概要
use https://www.stata-press.com/data/r17/wclub, clear
describe

* クラスター分析
cluster kmeans bike-fish, k(5) measure(Jaccard) st(firstk) name(gr5)
cluster kmed bike-fish, k(5) measure(Jaccard) st(firstk) name(kmedian5)
cluster list kmedian5

* 表
table gr5 kmedian5

